Bug 971649 - d3 Graph High values are sometimes too large by quite a bit
d3 Graph High values are sometimes too large by quite a bit
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.7
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.9
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 01:01 EDT by Mike Thompson
Modified: 2014-03-26 04:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 04:31:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
graph showing erroneous max value (87.66 KB, image/png)
2013-06-07 01:03 EDT, Mike Thompson
no flags Details
json error raw data (9.74 KB, application/json)
2013-06-07 01:07 EDT, Mike Thompson
no flags Details

  None (edit)
Description Mike Thompson 2013-06-07 01:01:31 EDT
Description of problem:
Some graphs that show the legend at the right with min, max, avg have an erroneous value in the max.

Looks like an error of 100x in some highs.

Instead of a 9Gb max it is a 900Gb max.

Reproduce:
Take a look at the file system graphs for a single hard disk.

An error in org.rhq.enterprise.gui.coregui.client.inventory.common.charttype.MetricGraphData#normalizeUnitsAndValues

private MeasurementNumericValueAndUnits normalizeUnitsAndValues(double value, MeasurementUnits measurementUnits) {
        MeasurementNumericValueAndUnits newValue = MeasurementConverterClient.fit(value, measurementUnits);
        MeasurementNumericValueAndUnits returnValue;

        // adjust for percentage numbers
        if (measurementUnits.equals(MeasurementUnits.PERCENTAGE)) {
            returnValue = new MeasurementNumericValueAndUnits(newValue.getValue() * 100, newValue.getUnits());
        } else {
            returnValue = new MeasurementNumericValueAndUnits(newValue.getValue(), newValue.getUnits());
        }

        return returnValue;
    }

Which should work but needs further investigation why it does not.
Comment 1 Mike Thompson 2013-06-07 01:03:23 EDT
Created attachment 757984 [details]
graph showing erroneous max value
Comment 2 Mike Thompson 2013-06-07 01:07:02 EDT
Created attachment 757985 [details]
json error raw data
Comment 3 Mike Thompson 2013-09-10 12:35:51 EDT
The graphs have changed much since this BZ. In fact, the only place you can see this legend is on a wide portlet and inventory detail summary graph. I have verified this fix in file system resources of latest build.
Comment 4 Heiko W. Rupp 2014-03-26 04:31:38 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.

Note You need to log in before you can comment on or make changes to this bug.